/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2006
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __FRMINSTALLATIONWIZARD_H
#define __FRMINSTALLATIONWIZARD_H

#include "uiFrmInstallationWizard.h"

#include <qstring.h>
#include <qstringlist.h>

class QProcess;
class QTimer;
class QCloseEvent;

class FrmInstallationWizard : public frmInstallationWizard
{
  Q_OBJECT

public:
  FrmInstallationWizard(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
  ~FrmInstallationWizard();
  
  void setLiveSystem(bool);

protected:
	void startCopy();
	void setLanguage();
	void closeEvent(QCloseEvent *ce);
	void setProgressIndicatorY(const QWidget *);

protected slots:
	virtual void reboot();
	virtual void pageChanged(QWidget *cpage);
	virtual void pageBack();
	virtual void pageNext();
	virtual void pageMove(int);
	virtual void cancel();
	virtual void copyActivity();

private:
	QProcess *cproc;
	QString lang;
	QString lastLine;
	QTimer *progrTimer;
	QStringList langCodes;
	int currentPage;
	bool liveSystem;
	bool grubAvailable;
};

#endif /* __FRMINSTALLATIONWIZARD_H */
